Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
-  class JavapTask extends JavapTool
  Definition Classes
    shell
- JavaReporter
- JavapFileManager

c

scala.tools.nsc.interpreter.shell.JavapTask

# JavapFileManager

###

#### class JavapFileManager extends ForwardingJavaFileManager[JavaFileManager]

Source
  JavapClass.scala

Linear Supertypes
ForwardingJavaFileManager[JavaFileManager], JavaFileManager, OptionChecker, Flushable, Closeable, AutoCloseable, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavapFileManager
2. ForwardingJavaFileManager
3. JavaFileManager
4. OptionChecker
5. Flushable
6. Closeable
7. AutoCloseable
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new JavapFileManager(managed: Seq[Input])(delegate: JavaFileManager = defaultFileManager)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavapFileManager toany2stringadd[JavapFileManager] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavapFileManager, B)
   Implicit
     This member is added by an implicit conversion from JavapFileManager toArrowAssoc[JavapFileManager] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def close(): Unit
   Definition Classes
     ForwardingJavaFileManager → JavaFileManager → Closeable → AutoCloseable
   Annotations
     @throws(classOf[java.io.IOException])
9.  def ensuring(cond: (JavapFileManager) => Boolean, msg: => Any): JavapFileManager
   Implicit
     This member is added by an implicit conversion from JavapFileManager toEnsuring[JavapFileManager] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (JavapFileManager) => Boolean): JavapFileManager
    Implicit
      This member is added by an implicit conversion from JavapFileManager toEnsuring[JavapFileManager] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): JavapFileManager
    Implicit
      This member is added by an implicit conversion from JavapFileManager toEnsuring[JavapFileManager] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): JavapFileManager
    Implicit
      This member is added by an implicit conversion from JavapFileManager toEnsuring[JavapFileManager] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def fileObjectForInput(name: String, bytes: Try[Array[Byte]], kind: Kind): JavaFileObject
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def flush(): Unit
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager → Flushable
    Annotations
      @throws(classOf[java.io.IOException])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavapFileManager toStringFormat[JavapFileManager] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def getClassLoader(arg0: Location): ClassLoader
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
21.  def getFileForInput(arg0: Location, arg1: String, arg2: String): FileObject
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
    Annotations
      @throws(classOf[java.io.IOException])
22.  def getFileForOutput(arg0: Location, arg1: String, arg2: String, arg3: FileObject): FileObject
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
    Annotations
      @throws(classOf[java.io.IOException])
23.  def getJavaFileForInput(location: Location, className: String, kind: Kind): JavaFileObject
    Definition Classes
      JavapFileManager → ForwardingJavaFileManager → JavaFileManager
24.  def getJavaFileForOutput(arg0: Location, arg1: String, arg2: Kind, arg3: FileObject): JavaFileObject
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
    Annotations
      @throws(classOf[java.io.IOException])
25.  def handleOption(arg0: String, arg1: java.util.Iterator[String]): Boolean
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
26.  def hasLocation(location: Location): Boolean
    Definition Classes
      JavapFileManager → ForwardingJavaFileManager → JavaFileManager
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def inferBinaryName(arg0: Location, arg1: JavaFileObject): String
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
29.  def inputNamed(name: String): Try[Array[Byte]]
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  def isSameFile(arg0: FileObject, arg1: FileObject): Boolean
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
32.  def isSupportedOption(arg0: String): Int
    Definition Classes
      ForwardingJavaFileManager → OptionChecker
33.  def list(arg0: Location, arg1: String, arg2: Set[Kind], arg3: Boolean): java.lang.Iterable[JavaFileObject]
    Definition Classes
      ForwardingJavaFileManager → JavaFileManager
    Annotations
      @throws(classOf[java.io.IOException])
34.  val managed: Seq[Input]
35.  def managedFile(name: String, kind: Kind): JavaFileObject
36.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
37.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  def uri(name: String): URI
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (JavapFileManager, B)
   Implicit
     This member is added by an implicit conversion from JavapFileManager toArrowAssoc[JavapFileManager] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ForwardingJavaFileManager[JavaFileManager]

### Inherited from JavaFileManager

### Inherited from OptionChecker

### Inherited from Flushable

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromJavapFileManager to any2stringadd[JavapFileManager]

### Inherited by implicit conversion StringFormat fromJavapFileManager to StringFormat[JavapFileManager]

### Inherited by implicit conversion Ensuring fromJavapFileManager to Ensuring[JavapFileManager]

### Inherited by implicit conversion ArrowAssoc fromJavapFileManager to ArrowAssoc[JavapFileManager]

### Ungrouped